drop PROCEDURE actualiza_stock_toma_proc
go

CREATE PROCEDURE actualiza_stock_toma_proc
    @id     ud_idcorporativo,
    @stock  UD_stock        

AS
BEGIN
    BEGIN TRAN

    UPDATE in_inventphisical
	SET  stockphisical= @stock 
	WHERE INVTIDSKU=@id

    IF (@@error!=0)
    BEGIN
        RAISERROR  20001 'no se puede actualizar stock fisico '
        ROLLBACK TRAN
        RETURN(1)
    END
    COMMIT TRAN
    RETURN(0)
END